#!/bin/bash

set -e

V=$(grep -i "project.*VERSION" CMakeLists.txt | sed 's/.* \([0-9.]*\).*)/\1/')
D=$(mktemp -d "/tmp/myx-dev.XXXXXX")
mkdir -p "$D/myx-dev-$V"
cp -ap CMakeLists.txt bin "$D/myx-dev-$V"
pushd "$D"
tar Jcf "myx-dev_${V}.orig.tar.xz" "myx-dev-$V"
popd
cp -ap debian "$D/myx-dev-$V"
pushd "$D/myx-dev-$V"
dch -D unstable -v "${V}-1" -m "New version."
debuild
popd

